# Uses of Class
net.shibboleth.idp.ui.csrf.CSRFTokenManager

Packages that use CSRFTokenManager
Package
Description
net.shibboleth.idp.ui.csrf.impl
Implementation classes for cross-site request forgery mitigation.

## Uses of CSRFTokenManager in net.shibboleth.idp.ui.csrf.impl

Fields in net.shibboleth.idp.ui.csrf.impl declared as CSRFTokenManager
Modifier and Type
Field
Description
`private CSRFTokenManager`
CSRFTokenFlowExecutionListener.`csrfTokenManager`
The CSRF token manager for getting and validating tokens.
Methods in net.shibboleth.idp.ui.csrf.impl with parameters of type CSRFTokenManager
Modifier and Type
Method
Description
`void`
CSRFTokenFlowExecutionListener.`setCsrfTokenManager(CSRFTokenManager tokenManager)`
Sets the CSRF token manager.